Robin Energy Ltd.

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/robin-energy-ltd/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/robin-energy-ltd/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1757376000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.robinenergy.com/media/68fa4d6a25873.pdf",
    "holding_balance": 43.95,
    "holding_net_change": 43.95,
    "transaction_value_usd": 5000000.0,
    "average_entry_value_usd": 113765.64,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/robin-energy-ltd/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782950400000,
    43.95
  ],
  [
    1783036800000,
    43.95
  ],
  [
    1783123200000,
    43.95
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/robin-energy-ltd/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782950400000,
    2702390.1285
  ],
  [
    1783036800000,
    2748017.2605
  ],
  [
    1783123200000,
    2772644.643
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/robin-energy-ltd/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 0.6448,
    "date": "2026-06-30",
    "high": 0.6747,
    "open": 0.6602,
    "close": 0.6747,
    "volume": 138389
  },
  {
    "low": 0.6543,
    "date": "2026-07-01",
    "high": 0.7087,
    "open": 0.6725,
    "close": 0.7013,
    "volume": 172801
  },
  {
    "low": 0.671,
    "date": "2026-07-02",
    "high": 0.7087,
    "open": 0.684,
    "close": 0.671,
    "volume": 83678
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/robin-energy-ltd/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": -0.551,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/robin-energy-ltd/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -36.7,
  "six_month_return": -77.33,
  "three_month_return": -67.89
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/robin-energy-ltd/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 62.9,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "down"
}